%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define devel_name %mklibname -d %{name} 
%define lib_major 0
%define api_version 1

Summary: C library for programming with the Jabber protocol
Name: loudmouth
Version: 1.4.3
Release: %mkrel 11
License: LGPLv2+
Group: System/Libraries
URL: http://www.loudmouth-project.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: loudmouth-1.4.3-gnutls-2.8.patch
Patch1: loudmouth-1.4.3-glib-fix.patch
Patch2: loudmouth-1.4.3-automake-1.13.patch

# Debian patches, from upstream
# Fix sasl md5 digest-uri when using SRV lookups, which prevented
# loudmouth from logging into recent versions of ejabberd
Patch101: 01-fix-sasl-md5-digest-uri.patch
# Fix sync resolving, patch from upstream git. (fixes assertion
# when trying to log in to some XMPP servers)
Patch102: 02-fix-async-resolving.patch
# Drop stanzas that can't be parsed instead of blocking the
# parser. Patch from upstream bug tracker.
Patch103: 03-drop-stanzas-on-fail.patch
BuildRequires: glib2-devel
BuildRequires: gnutls-devel >= 1.0.0
BuildRequires: libidn-devel
BuildRequires: gtk-doc

%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{devel_name}
Summary:	Libraries and include files for loudmouth
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Obsoletes:	%mklibname -d %{name}- 1 0

%description -n %{devel_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

This package includes libraries and header files for developing
Loudmouth applications.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .glibfix
%patch2 -p1 -b .automake-1_13
%patch101 -p1
%patch102 -p1
%patch103 -p1

%build
autoreconf -fi
%configure2_5x --enable-gtk-doc --with-asyncns --disable-static
%make

%install
%makeinstall_std

#we dont' want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/*-%{api_version}.so.%{lib_major}*

%files -n %{devel_name}
%doc README AUTHORS NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-11.mga3
+ Revision: 358952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.4.3-10.mga3
+ Revision: 339962
- patch2: fix build with automake 1.13

* Fri Dec 28 2012 wally <wally> 1.4.3-9.mga3
+ Revision: 335880
- add patch to fix build with new glib
- clean .spec a bit

* Tue Aug 02 2011 fwang <fwang> 1.4.3-8.mga2
+ Revision: 131386
- do not shipp la files

* Mon Jan 24 2011 ahmad <ahmad> 1.4.3-7.mga1
+ Revision: 35841
- drop old/unneeded scriptlets
- imported package loudmouth

